# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

# trigger time tells u the part of data segment to retrieve. Check trigger-time along with geocent-time
# geocent-time is desirable near the end of this data segment.
# choose the post-trigger duration wisely.
trigger-time = 1187008882.4

label = PeriastronEccFD15Hz
outdir = outdir_PeriastronEccFD15Hz

detectors = [H1, L1, V1]
sampling-frequency = 1024.
duration = 16.
post-trigger-duration = 1.0
minimum-frequency=15.

sampler = dynesty
sampler-kwargs = {'nlive': 500}

channel-dict = {H1:GWOSC, L1:GWOSC, V1:GWOSC}

# custom waveform at lalsimulation
waveform-approximant = PeriastronEccFD
# this frequency-domain-source-model is include in source.py (bilby/gw)
frequency-domain-source-model = lal_eccentric_advancement_of_pariastron

n-simulation = 1

n-parallel = 1

request-cpus = 16

prior-dict = {
chirp_mass = Uniform(name='chirp_mass', minimum=0.8705505632961241,maximum=2.611651689888372),
mass_ratio = Uniform(name='mass_ratio', minimum=0.3333333333333333, maximum=1),
eccentricity = Uniform(name='initial_eccentricity', minimum=0.0, maximum=0.1),
luminosity_distance = 40.7,
theta_jn = Sine(name='theta_jn'),
psi =  Uniform(name='psi', minimum=0, maximum=6.283185307179586),
phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586),
geocent_time = Uniform(1187008882.33, 1187008882.53, name='geocent_time', unit='s'),
ra = 3.44615914,
dec =  -0.40808407,
}


